Bug 6530 - item due notice label saying 'unknown'
Summary: item due notice label saying 'unknown'
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-24 14:01 UTC by Nicole C. Engard
Modified: 2012-10-25 23:09 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot, installation with German sample files (15.85 KB, image/png)
2011-11-20 21:31 UTC, Katrin Fischer
Details
Bug 6530: Item Due notice label displaying as 'unknown' (4.09 KB, patch)
2011-11-20 21:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 6530: Item Due notice label displaying as 'unknown' (4.10 KB, patch)
2011-12-01 18:52 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-06-24 14:01:02 UTC
This is a recurrence, but I can't find the original bug.  So, on the patron messaging tab it says 'unknown' instead of 'item due'
Comment 1 Brendan Gallagher 2011-07-07 03:05:42 UTC
This does not seem to be an issue with current code.  

Marking as works for me.
Comment 2 Katrin Fischer 2011-11-20 21:27:47 UTC
In some languages the sample file are still wrong. Sample files have Item_DUE instead of Item_Due, causing the message name to be shown as unknown.
Comment 3 Katrin Fischer 2011-11-20 21:31:05 UTC
Created attachment 6350 [details]
screenshot, installation with German sample files
Comment 4 Katrin Fischer 2011-11-20 21:37:44 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2011-12-01 18:52:18 UTC
Created attachment 6492 [details] [review]
Bug 6530: Item Due notice label displaying as 'unknown'

Some of the translated sql files still had 'Item_DUE' instead
of 'Item_Due' causing the staff interface to display 'unknown'
instead of the correct description.

To test:
- Do a new installation, using German, French, Polish, Russian or Ukrainian sample files.
- Actived EnhancedMessagingPreferences
- Create a new patron category and check message descriptions display correctly

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Paul Poulain 2011-12-06 19:06:21 UTC
QA comment:
* clean code, nothing to say about what is provided
* For libraries already installed with a wrong value, an updatedatabase is needed. I'we written it, and tested

Patch and follow-up pushed
Comment 7 Chris Nighswonger 2011-12-06 19:17:47 UTC
This patch does not apply cleanly to the 3.6.x branch. Please rebase over 3.6.x and attach a corrected patch to this bug report.
Comment 8 Katrin Fischer 2011-12-06 19:56:46 UTC
Paul, I am quite confused by the version number for the updatedatabase you did for this and about the numbers before since 3.06 release:

74 $DBversion = "3.06.02.001"; ?

Shouldn't we count 3.07.00.XX in master?
Comment 9 Paul Poulain 2011-12-07 15:47:21 UTC
(In reply to comment #8)
> Paul, I am quite confused by the version number for the updatedatabase you did
> for this and about the numbers before since 3.06 release:
> 
> 74 $DBversion = "3.06.02.001"; ?
> 
> Shouldn't we count 3.07.00.XX in master?

Katrin,

This bugfix will be available in 3.6.2, so it sounded logical to number it 3.06.02.001
I had a pm discussion with chris_n and chris_c about that, and it seems they have a different opinion. I think we should speak of this during our next IRC meeting (in 2 hours )
I've added the topic to our agenda